# Build configuration

%ifarch %{arm} aarch64 %{ix86}
%define build_docs 0
%else
%define build_docs 0
%endif

# Versioning

%define qtmajor 6
%define qtminor 7
%define qtsubminor 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 2

%define snapshot 0

%if 0%{?snapshot}
%define pre rc
%endif

%define qttarballdir qtimageformats-everywhere-src-%{qtversion}%{?pre:-%{pre}}

# Library names

%define libqtimageformats_d %mklibname qt%{qtmajor}imageformats -d

Name:           qtimageformats6
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} ImageFormats component
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io/
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
#Branch Patchs

#Trunk Patchs

#Patch from Mageia

BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  qtbase6-devel = %{version}
BuildRequires:  qtbase6-qtpaths

BuildRequires:  pkgconfig(jasper)
BuildRequires:  pkgconfig(libmng)
BuildRequires:  pkgconfig(libwebp)
BuildRequires:  pkgconfig(libtiff-4)

Provides:       qt%{qtmajor}-qtimageformats = %{version}-%{release}

%description
Qt%{qtmajor} ImageFormats component.

%files
%dir %{_qt6_plugindir}/imageformats
%{_qt6_plugindir}/imageformats/*.so

#------------------------------------------------------------------------------

%package -n %{libqtimageformats_d}
Summary:        Devel files needed to build apps based on QtImageFormats
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{libqtimageformats_d}
Devel files needed to build apps based on QtImageFormats.

%files -n %{libqtimageformats_d}
%{_qt6_libdir}/cmake/Qt%{qtmajor}/*.cmake
%{_qt6_libdir}/cmake/Qt%{qtmajor}Gui/*.cmake

#------------------------------------------------------------------------------

%if %{build_docs}
%package doc
Summary:        QtImageFormats%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools6
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools6-assistant
Recommends:     qttools6-assistant

%description doc
Documentation for APIs and tools in QtImageFormats%{qtmajor} package for use with
Qt Assistant.

%files doc
%{_qt6_docdir}/qtimageformats.qch
%{_qt6_docdir}/qtimageformats/
%endif

#------------------------------------------------------------------------------

%prep
%setup -q -n qtimageformats-everywhere-src-%{qtversion}

%build
%cmake_qt6

%cmake_build

%if %{build_docs}
%__make docs
%endif

%install
%cmake_install

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif


%changelog
* Tue Jun 11 2024 daviddavid <daviddavid> 6.7.1-2.mga10
+ Revision: 2072520
- rebuild for 'Qt_$MAJOR_PRIVATE_API' settings

* Tue May 21 2024 daviddavid <daviddavid> 6.7.1-1.mga10
+ Revision: 2065781
- New version 6.7.1

* Thu Feb 15 2024 daviddavid <daviddavid> 6.6.2-1.mga10
+ Revision: 2041628
- New version 6.6.2

* Thu Oct 19 2023 daviddavid <daviddavid> 6.6.0-1.mga10
+ Revision: 1999034
- New version 6.6.0

* Fri Oct 13 2023 daviddavid <daviddavid> 6.5.2-2.mga10
+ Revision: 1996016
- rebuild for new jasper 4.0.0

* Sun Aug 27 2023 neoclust <neoclust> 6.5.2-1.mga10
+ Revision: 1980245
- New version 6.5.2
+ daviddavid <daviddavid>
- own plugin dir

* Thu Dec 15 2022 neoclust <neoclust> 6.4.1-1.mga9
+ Revision: 1923044
- New version 6.4.1

* Mon Dec 12 2022 ns80 <ns80> 6.4.0-3.mga9
+ Revision: 1921105
- rebuild for new libtiff

* Tue Nov 22 2022 daviddavid <daviddavid> 6.4.0-2.mga9
+ Revision: 1910134
- rebuild for new jasper 3.0.6

* Fri Sep 30 2022 neoclust <neoclust> 6.4.0-1.mga9
+ Revision: 1893435
- New version 6.4.0

* Sat Aug 27 2022 neoclust <neoclust> 6.3.1-1.mga9
+ Revision: 1881314
- New version 6.3.1

* Tue Apr 12 2022 neoclust <neoclust> 6.3.0-1.mga9
+ Revision: 1849131
- New version 6.3.0

* Sun Apr 03 2022 umeabot <umeabot> 6.2.3-2.mga9
+ Revision: 1842761
- Mageia 9 Mass Rebuild

* Sun Feb 20 2022 neoclust <neoclust> 6.2.3-1.mga9
+ Revision: 1781913
- New version 6.2.3

* Sun Nov 14 2021 neoclust <neoclust> 6.2.1-1.mga9
+ Revision: 1756249
- New version 6.2.1

* Wed Nov 10 2021 neoclust <neoclust> 6.2.0-1.mga9
+ Revision: 1755845
- New version 6.2.0

* Thu May 13 2021 daviddavid <daviddavid> 6.1.0-1.mga9
+ Revision: 1722723
- initial package qtimageformats6

